> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인 상태 가져오기

> 도메인에 대한 고객 대상 상태 진단을 반환합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/domains/{domain}/health
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/health:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: 도메인 상태 가져오기
      description: 도메인에 대한 고객 대상 상태 진단을 반환합니다.
      operationId: >-
        get_public_domain_health_v1_public_accounts__account_id__domains__domain__health_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
        - in: query
          name: refresh
          required: false
          schema:
            default: false
            title: Refresh
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainHealthResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainHealthResponse:
      properties:
        cache_ttl_seconds:
          title: 캐시 TTL 초
          type: integer
        cached:
          title: 캐시됨
          type: boolean
        checked_at:
          title: 확인 시간
          type: string
        checks:
          $ref: '#/components/schemas/DomainHealthChecks'
        domain_id:
          format: uuid
          title: 도메인 Id
          type: string
        domain_name:
          title: 도메인 이름
          type: string
        summary_status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: 요약 상태
          type: string
        timings_ms:
          additionalProperties:
            type: integer
          title: 타이밍 양
          type: object
      required:
        - summary_status
        - checked_at
        - domain_id
        - domain_name
        - cached
        - cache_ttl_seconds
        - checks
        - timings_ms
      title: DomainHealthResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    DomainHealthChecks:
      description: 그룹화된 도메인 상태 프로브 결과입니다.
      properties:
        dns:
          $ref: '#/components/schemas/DomainHealthDnsChecks'
        ports:
          $ref: '#/components/schemas/DomainHealthPortChecks'
        ssl:
          $ref: '#/components/schemas/DomainHealthProbeDetail'
        web:
          $ref: '#/components/schemas/DomainHealthHttpChecks'
      required:
        - dns
        - web
        - ssl
        - ports
      title: DomainHealthChecks
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
    DomainHealthDnsChecks:
      additionalProperties: true
      description: DNS 관련 상태 프로브.
      properties:
        a:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dkim:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dmarc:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류
        mx:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        ns:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        spf:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: 상태
          type: string
      required:
        - status
      title: DomainHealthDnsChecks
      type: object
    DomainHealthPortChecks:
      additionalProperties: true
      description: 메일 서비스 포트 도달 가능성 프로브.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류
        imap_143:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        imaps_993:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        smtp_25:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: 상태
          type: string
        submission_587:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
      required:
        - status
      title: DomainHealthPortChecks
      type: object
    DomainHealthProbeDetail:
      additionalProperties: true
      description: 개별 도메인 상태 프로브의 상태 및 세부 정보입니다.
      properties:
        actual:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: 실제 값
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: 코드
        days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: 남은 일수
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류
        expected:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: 예상 값
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: 만료 시각
        issuer:
          anyOf:
            - type: string
            - type: 'null'
          title: 발급자
        record:
          anyOf:
            - type: string
            - type: 'null'
          title: 레코드
        records:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: 레코드
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: 상태
          type: string
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: 상태 코드
      required:
        - status
      title: DomainHealthProbeDetail
      type: object
    DomainHealthHttpChecks:
      additionalProperties: true
      description: HTTP 및 HTTPS 연결성 프로브.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류
        http_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        http_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: 상태
          type: string
      required:
        - status
      title: DomainHealthHttpChecks
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````